Bug 291707 - Group chat window should show 'Typing...' indicator per chat member
Summary: Group chat window should show 'Typing...' indicator per chat member
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: Gentoo Packages Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-16 22:07 UTC by Elias Probst
Modified: 2013-01-19 18:13 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Probst 2012-01-16 22:07:15 UTC
Version:           git-latest (using Devel) 
OS:                Linux

The group chat should show the 'typing…' status per chat member instead of globally changing the window title.

Reproducible: Always

Steps to Reproduce:
Currently the 'Typing…' window title is set as soon as anyone in the group chat types something.

It would be nice if there'd be also a per-member indicator for the 'typing…' status like changing the icon of the chat member to a pen or a "busy" animation like it is used for cursors.


Expected Results:  
See initial description
Comment 1 David Edmundson 2013-01-19 18:11:49 UTC
Git commit ec407145cdf9762d02c378a0f53b7b61e9170503 by David Edmundson.
Committed on 19/01/2013 at 04:27.
Pushed by davidedmundson into branch 'master'.

Show icon in channel contacts list when a user is typing in a group chat
REVIEW: 108486

M  +21   -1    lib/channel-contact-model.cpp
M  +3    -0    lib/channel-contact-model.h

http://commits.kde.org/telepathy-text-ui/ec407145cdf9762d02c378a0f53b7b61e9170503
Comment 2 David Edmundson 2013-01-19 18:13:00 UTC
Elias (and others) please please test this before 0.6.0 is released. 

I don't group chat on jabber, so haven't tested this in a real life situation.